org.apache.ignite.internal.binary

## Interface BinaryRawWriterEx

All Superinterfaces:
  AutoCloseable, BinaryRawWriter

All Known Implementing Classes:
  BinaryWriterExImpl

    public interface BinaryRawWriterEx
    extends BinaryRawWriter, AutoCloseable

Extended writer interface.

### Method Summary

Methods
`void` `close()` Cleans resources.
`BinaryOutputStream` `out()`
`int` `reserveInt()` Reserve a room for an integer.
`void` `writeInt(int pos, int val)` Write int value at the specific position.
`void` `writeObjectDetached(Object obj)`

### Methods inherited from interface org.apache.ignite.binary.BinaryRawWriter

`writeBoolean, writeBooleanArray, writeByte, writeByteArray, writeChar, writeCharArray, writeCollection, writeDate, writeDateArray, writeDecimal, writeDecimalArray, writeDouble, writeDoubleArray, writeEnum, writeEnumArray, writeFloat, writeFloatArray, writeInt, writeIntArray, writeLong, writeLongArray, writeMap, writeObject, writeObjectArray, writeShort, writeShortArray, writeString, writeStringArray, writeTimestamp, writeTimestampArray, writeUuid, writeUuidArray`

### Method Detail

#### writeObjectDetached

    void writeObjectDetached(@Nullable
                           Object obj)
                             throws BinaryObjectException

Parameters:
  `obj` - Object to write.
Throws:
  `BinaryObjectException` - In case of error.

#### out

    BinaryOutputStream out()

Returns:
  Output stream.

#### close

    void close()

Cleans resources.

Specified by:
  `close` in interface `AutoCloseable`

#### reserveInt

    int reserveInt()

Reserve a room for an integer.

Returns:
  Position in the stream where value is to be written.

#### writeInt

    void writeInt(int pos,
                int val)
                  throws BinaryObjectException

Write int value at the specific position.

Parameters:
  `pos` - Position.
  `val` - Value.
Throws:
  `BinaryObjectException` - If failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016